<!DOCTYPE html>

<html>
	<head>
		<title>9GAG Tag Block</title>
		<style type="text/css">
			.chips {
				position: relative;
				margin-top: 1rem;
				margin-bottom: 1rem;
				border: none;
				-webkit-box-shadow: none;
				box-shadow: none;
				margin: 0 0 5px 0;
				outline: none;
				-webkit-transition: all 0.3s;
				transition: all 0.3s;
				font-family: sans-serif, system-ui;
				background: rgb(252, 252, 252);
				padding: 10px;
				border: 1px solid lightgrey;
				border-radius: 5px;
			}

			.chip-icon {
				float: right;
				margin-left: 10px;
				font-weight: bold;
				font-size: 11pt;
			}

			.chips .chip-input {
				background: none;
				border: 0;
				color: rgba(0, 0, 0, 0.6);
				display: inline-block;
				font-size: 16px;
				line-height: 32px;
				outline: 0;
				margin: 0;
				padding: 0 !important;
				width: 100% !important;
				border-bottom: 1px solid lightgrey;
			}
			.chip {
				display: inline-block;
				height: 30px;
				font-size: 12px;
				font-weight: 500;
				color: rgba(0, 0, 0, 0.6);
				line-height: 32px;
				padding: 0 12px;
				border-radius: 16px;
				background-color: #e4e4e4;
				margin-bottom: 5px;
				margin-right: 5px;
				max-width: 200;
				cursor: pointer;
			}
			.chip span {
				max-width: 180px;
				overflow: hidden;
				white-space: nowrap;
				text-overflow: ellipsis;
			}
			.container {
				width: 300px;
				padding: 10px;
			}
			.title {
				font-weight: bolder;
				font-size: 14pt;
    			margin-left: 40px;
			}
			/* .checkbox {
				position: absolute;
				right: 10px;
				top: 25px;
			} */
			.checkbox {
				display: inline-flex;
				align-items: center;
    			padding: 3px;
			}
			.checkbox-label{				
				margin-left: 2px;
				color: #5d5d5d
			}
			.icon {
				position: absolute;
    			top: 20px;
			}
			#stats-panel .stats {
				display: flex;
				flex-direction: row;
				justify-content: center;
			}
			#stats-page, #stats-total {
				flex-grow: 1;
				text-align: center;
			}
			#stats-page {
				position: relative;
				padding: 5px;
			}
			#stats-page strong, #stats-total strong {
				display: block;
				font-size: 1.4em;
			}
			#stats-panel {
				margin-bottom: 5px;
				padding-bottom: 0;
				background: rgb(252, 252, 252);
				padding: 10px;
				border: 1px solid lightgrey;
				border-radius: 5px;
			}
						body {
				margin: 0 !important;
				background-color: #f6f6f6;
			}
		</style>
		<script src="popup.js"></script>
	</head>
	<body>
		<div class="container">
			<img class="icon" src="9gagblock32.png"></img>
			<h1 class="title">9GAG Tag Block</h1>
			<div id="stats-panel" class="card">
				<div class="stats">
					<div id="stats-page">
						<span>Blocked Posts</span>
						<strong id="blockedPostsCounter"></strong>
					</div>				
				</div>				
			</div>
			<div id="chips" class="chips">
				<input id="chip-input" class="chip-input" placeholder="Enter tag" />
			</div>
			<div class="checkbox">
				<input type="checkbox" id="caseInsensitive" name="caseInsensitive" />
				<label class="checkbox-label" for="caseInsensitive">Case Insensitive</label><br />
			</div>
			<!-- <div class="checkbox">
				<input type="checkbox" id="matchInclusive" name="matchInclusive" />
				<label class="checkbox-label" for="matchInclusive">Inclusive Match (min 3 characters)</label><br />
			</div> -->
		</div>
	</body>
</html>
